/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-08-20 19:25:50
 * @LastEditTime: 2023-04-19 14:53:09
 * @LastEditors: lwh
 * @Version: 1.0.0
 * @Description: 我的“tabs”组件
 */
import React from 'react';
import './index.less';

// type: 1-带下划线样式 2-不带下划线样式

const MyTabsBuilding = ({ tabs = [], type = '1', activeKey, onChange, keyStr = ['key', 'title'] }) => {
  return (
    <div className="MyTabsBuilding">
      {tabs.map((x, t) => {
        return (
          <>
            {type == 1 ? <div
              onClick={() => onChange(x[keyStr[0]] || t)}
              key={x[keyStr[0]] || t}
              className={`MyTabsBuilding-tab ${activeKey === (x[keyStr[0]] || t) ? 'MyTabsBuilding-active' : ''}`}
            >
              {x[keyStr[1]]}
            </div> : <div
              onClick={() => onChange(x[keyStr[0]] || t)}
              key={x[keyStr[0]] || t}
              className={`MyTabsBuilding-tab1 ${activeKey === (x[keyStr[0]] || t) ? 'MyTabsBuilding-active1' : ''}`}
            >
              {x[keyStr[1]]}
            </div>
            }
          </>
        );
      })}
    </div>
  );
};

export default MyTabsBuilding;
